function h = jinc_function (s) 

    size_h = 55;      center = (size_h+1)/2;
    h = zeros(size_h, size_h); xx = h;
        
    for i=1:size_h
        for j=1:size_h
            xx(i,j) = sqrt( (i-center)^2+(j-center)^2 );   
        end
    end
    
    xx(center, center) = eps; xx =xx/s;
    h = besselj(1,xx)./xx; h = h.*h;     h = h./sum(sum(h));
    
    return;